
QGIS Application - Bug report #11552

missing mandatory QUERY_LAYERS parameter in WMS 1.3.0 GetFeatureInfo returns 500 Internal 

Server Error 

2014-11-04 12:11 PM - Marco Lechner

Status: Closed

Priority: Normal

Assignee: Stéphane Brunner

Category: QGIS Server

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19822

Description

QGIS Server returns a 500 Internal Server Error instead of a SERVICE EXCEPTION on GetFeatureInfo REQUETS if mandatory

QUERY_LAYERS parameter is missing. It shoul dretirn an exception instead.

History

#1 - 2015-11-07 11:25 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

#2 - 2016-06-10 04:02 AM - Yves Jacolin

- Assignee set to Stéphane Brunner

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
